Check numbers of beta feature users of twocolconflict
Closed, ResolvedPublic

Description

When you change the timeframe displayed on the[[ https://grafana.wikimedia.org/dashboard/db/mediawiki-twocolconflict?orgId=1 | grafana board ]], the number of beta feature users changes.
E.g.: For the default 7 day time frame, the number 14191 is displayed, but for the last 30 days it is 11985, but shouldn't it stay the same? Or at least the 30 day number be bigger than the 7 day number?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2017, 12:30 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJun 28 2017, 7:55 AM
Addshore closed this task as Resolved.Jun 28 2017, 8:02 AM

As can be seen on the RevisionSlider board the number of BF users is fixed to always have the time windows of 1 day

This was missed when creating the dashboard for TwoColConflict, thus when the timescale changes bad things happen!

Now corrected!

For a bit more explanation, the request that is now made is :

target=keepLastValue(daily.betafeatures.global_user_counts.totals.twocolconflict, 100)

which returns

[{"target": "keepLastValue(daily.betafeatures.global_user_counts.totals.twocolconflict)", "datapoints": [[14857.0, 1498608000]]}]

Which contains the single timestamp and datapoint for the current day. The keepLastValue means that if the current day doesn't have a value then graphite will return the previous days value, but only up to 1000 (an arbitrary number) days back.

With any other timescale graphite will return more than one values, such as:

[{"target": "keepLastValue(daily.betafeatures.global_user_counts.totals.twocolconflict)", "datapoints": [[14696.0, 1498521600], [14857.0, 1498608000]]}]

which it will apparently then average, hence the changing values with the changing timescale:

(14696+14857)/2 = 14776.5

And the value shown on the dashboard for this request of 2 days showed 14777.

Addshore moved this task from Backlog to Done / Closed on the User-Addshore board.
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 4 2017, 3:28 PM